## plasma-sdk 6.5.0

=== doc/kqml/CMakeLists.txt ===
kdoctools_create_manpage (man-kqml.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== debian/changelog ===
plasma-sdk (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:00:52 +0200

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               breeze-icon-theme <!nocheck>,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6archive-dev (>= 6.18.0~),
               libkf6completion-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6texteditor-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libplasma-dev (>= 6.5.0~),
               libplasma5support-dev (>= 4:6.5.0~),
               qt6-5compat-dev (>= 6.6.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.9.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-sdk
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk.git

Package: plasma-sdk
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-newstuff,
         qml6-module-qt-labs-platform,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bash (>= 4.3),
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

## plasma-sdk 6.5.0+p24.04+vstable+git20251021.0853

=== debian/changelog ===
plasma-sdk (4:6.5.0+p24.04+vstable+git20251021.0853-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:53:59 +0000

plasma-sdk (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:32:33 +0000

## plasma-sdk 6.5.0+p24.04+vstable+git20251021.1027

=== debian/changelog ===
plasma-sdk (4:6.5.0+p24.04+vstable+git20251021.1027-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 10:27:34 +0000

## plasma-sdk 6.5.0+p24.04+vstable+git20251028.2233

=== debian/changelog ===
plasma-sdk (4:6.5.0+p24.04+vstable+git20251028.2233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 22:33:45 +0000

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-kparts-dev,
               kf6-kservice-dev,
               kf6-ksvg-dev,
               kf6-ktexteditor-dev,
               kf6-kwidgetsaddons-dev,
               kf6-syntax-highlighting-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               plasma5support-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: http://projects.kde.org/plasma-sdk
Vcs-Git: https://invent.kde.org/neon/kde/plasma-sdk.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-sdk
Maintainer: Neon CI <neon@kde.org>

Package: plasma-sdk
Architecture: any
Depends: kf6-kdeclarative,
         kf6-kitemmodels,
         kf6-knewstuff,
         libplasma6,
         plasma5support,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-settings,
         qml6-module-qt5compat-graphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bash (>= 4.3)
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

## plasma-sdk 6.5.1

=== kqml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 ivan tkachenko <me@ratijas.tk>
#
# SPDX-License-Identifier: GPL-2.0-or-later

set(kqml_SRCS
    main.cpp
)

add_executable(kqml ${kqml_SRCS})
target_compile_definitions(kqml PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(kqml
    Qt::Quick
    Qt::Gui
    Qt::Widgets
    KF6::I18n
    KF6::CoreAddons
    Plasma::PlasmaQuick
)

set_target_properties(kqml PROPERTIES WIN32_EXECUTABLE FALSE)

install(TARGETS kqml ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES completions/kqml.zsh RENAME _kqml DESTINATION ${KDE_INSTALL_ZSHAUTOCOMPLETEDIR})

=== doc/engineexplorer/CMakeLists.txt ===
kdoctools_create_manpage (man-plasmaengineexplorer.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== iconexplorer/src/CMakeLists.txt ===
set(iconexplorer_SRCS
    main.cpp
    iconmodel.cpp
    colorschemes.cpp
    sortfiltermodel.cpp
    windowstate.cpp
)

add_executable(iconexplorer ${iconexplorer_SRCS})
target_compile_definitions(iconexplorer PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(iconexplorer PRIVATE
    Qt::Quick
    Qt::Gui
    Qt::Widgets # for QDirModel
    Plasma::Plasma
    KF6::KIOGui
    KF6::ColorScheme
    KF6::I18n
    KF6::IconThemes
    KF6::I18nQml
    KF6::Crash
    Qt::DBus
)

ecm_add_qml_module(iconexplorer URI org.kde.iconexplorer)

ecm_target_qml_sources(iconexplorer SOURCES
    qml/Actions.qml
    qml/Comparison.qml
    qml/Iconexplorer.qml
    qml/GlobalMenuBar.qml
    qml/IconGridDelegate.qml
    qml/IconGrid.qml
    qml/IconMontage.qml
    qml/Menu.qml
    qml/Preview.qml
    qml/ResponsivePreview.qml
    qml/Screenshot.qml
    qml/Tools.qml
    qml/ToolsResponsive.qml
)

install(TARGETS iconexplorer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(editorplugin)

=== debian/changelog ===
plasma-sdk (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:16:24 +0100

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               breeze-icon-theme <!nocheck>,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6archive-dev (>= 6.18.0~),
               libkf6completion-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6texteditor-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libplasma-dev (>= 6.5.1~),
               libplasma5support-dev (>= 4:6.5.1~),
               qt6-5compat-dev (>= 6.6.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.9.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-sdk
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk.git

Package: plasma-sdk
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-newstuff,
         qml6-module-qt-labs-platform,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bash (>= 4.3),
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

testsuite_failing_archs := armel armhf
ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
  fail_param := || true
endif

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test $(fail_param)

override_dh_auto_install:
	dh_auto_install
	# a todo file has nothing to do in /usr/share/ outside doc
	rm debian/plasma-sdk/usr/share/kpackage/genericqml/org.kde.plasma.themeexplorer/contents/data/todo

## plasma-sdk 6.5.1+p24.04+vstable+git20251029.0737

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-sdk)
set(PROJECT_VERSION "6.5.2")

set(PROJECT_DEP_VERSION "6.5.1")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
    message(FATAL_ERROR "plasmate requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasmate [options]' there.")
endif()

################# set KDE specific information #################

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMOptionalAddSubdirectory)
include(ECMQmlModule)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Gui Qml Quick Svg Widgets Xml)

find_package(Qt6Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt6Test PROPERTIES
    PURPOSE "Required for tests"
    TYPE OPTIONAL
)
add_feature_info("Qt6Test" Qt6Test_FOUND "Required for building tests")
if (NOT Qt6Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(Qt6Core5Compat)


find_package(KF6Kirigami ${KF6_MIN_VERSION})
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by lookandfeelexplorer"
    TYPE RUNTIME
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Archive Completion Config CoreAddons Crash DBusAddons I18n IconThemes ItemModels
    KIO TextEditor WidgetsAddons DocTools Svg)

find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)
find_package(Plasma5Support ${PROJECT_DEP_VERSION} REQUIRED)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMA_SDK
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/plasma-sdk-version.h
)

#########################################################################
add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_TO_ASCII
#     -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_STRICT_ITERATORS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)

ecm_set_disabled_deprecation_versions(
    KF 6.10.0
)

add_subdirectory(iconexplorer)
add_subdirectory(engineexplorer)
add_subdirectory(kqml)
add_subdirectory(plasmoidviewer)
add_subdirectory(themeexplorer)
add_subdirectory(lookandfeelexplorer)

add_subdirectory(doc)
kdoctools_install(po)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-sdk (4:6.5.1+p24.04+vstable+git20251029.0737-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:37:24 +0000

plasma-sdk (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:59:57 +0000

## plasma-sdk 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(plasma-sdk)
 set(PROJECT_VERSION "6.5.2")
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== engineexplorer/CMakeLists.txt ===
set(plasmaengineexplorer_SRCS
    engineexplorer.cpp
    ktreeviewsearchline.cpp
    main.cpp
    serviceviewer.cpp
    modelviewer.cpp
)

ki18n_wrap_ui(plasmaengineexplorer_SRCS engineexplorer.ui serviceviewer.ui)

add_executable(plasmaengineexplorer ${plasmaengineexplorer_SRCS})
target_compile_definitions(plasmaengineexplorer PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(plasmaengineexplorer
    KF6::I18n
    KF6::Completion
    Plasma::Plasma5Support
    KF6::I18n
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::WidgetsAddons
)


install(TARGETS plasmaengineexplorer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.plasmaengineexplorer.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.plasmaengineexplorer.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== iconexplorer/CMakeLists.txt ===
add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

install(FILES org.kde.iconexplorer.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.plasma.iconexplorer.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.iconexplorer.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

=== lookandfeelexplorer/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(lookandfeelexplorer)

ecm_add_qml_module(lookandfeelexplorer
    GENERATE_PLUGIN_SOURCE
    URI org.kde.plasma.lookandfeelexplorer
    SOURCES
        main.cpp
        lnflogic.cpp
        lnflistmodel.cpp
    QML_FILES
        qml/FormField.qml
        qml/MetadataEditor.qml
        qml/Main.qml
)


target_link_libraries(lookandfeelexplorer PRIVATE
    Qt::Gui
    Qt::Quick
    Qt::Widgets
    Qt::DBus
    KF6::Archive
    KF6::I18n
    KF6::I18nQml
    KF6::Package
    KF6::KIOCore
    KF6::KIOWidgets
    Plasma::Plasma
    Plasma::PlasmaQuick
)

install(TARGETS lookandfeelexplorer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.plasma.lookandfeelexplorer.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== plasmoidviewer/CMakeLists.txt ===
set(plasmoidviewer_SRCS
    main.cpp
    view.cpp
)

add_executable(plasmoidviewer ${plasmoidviewer_SRCS})
target_compile_definitions(plasmoidviewer PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(plasmoidviewer
    Qt::Widgets
    Qt::Quick
    Qt::DBus
    KF6::DBusAddons
    Plasma::Plasma
    Plasma::PlasmaQuick
    KF6::I18n
    KF6::ConfigCore
    KF6::Package
)

install(TARGETS plasmoidviewer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.plasmoidviewer.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.plasmoidviewer.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

install(FILES completions/plasmoidviewer.zsh RENAME _plasmoidviewer DESTINATION ${KDE_INSTALL_ZSHAUTOCOMPLETEDIR})


#qml
plasma_install_package(qmlpackages/shell org.kde.plasma.plasmoidviewershell shells shell)

=== debian/changelog ===
plasma-sdk (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:34:06 +0100

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
                libkf6texteditor-dev (>= 6.18.0~),
                libkf6widgetsaddons-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.1~),
-               libplasma5support-dev (>= 4:6.5.1~),
+               libplasma-dev (>= 6.5.2~),
+               libplasma5support-dev (>= 4:6.5.2~),
                qt6-5compat-dev (>= 6.6.0~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),

## plasma-sdk 6.5.3

=== debian/changelog ===
plasma-sdk (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:25:47 +0100

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
                libkf6texteditor-dev (>= 6.18.0~),
                libkf6widgetsaddons-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.2~),
-               libplasma5support-dev (>= 4:6.5.2~),
+               libplasma-dev (>= 6.5.3~),
+               libplasma5support-dev (>= 4:6.5.3~),
                qt6-5compat-dev (>= 6.6.0~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),

## plasma-sdk 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-sdk)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.4")
 
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-sdk (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:53:09 +0100

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
                libkf6texteditor-dev (>= 6.18.0~),
                libkf6widgetsaddons-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.3~),
-               libplasma5support-dev (>= 4:6.5.3~),
+               libplasma-dev (>= 6.5.4~),
+               libplasma5support-dev (>= 4:6.5.4~),
                qt6-5compat-dev (>= 6.6.0~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),

## plasma-sdk 6.5.4+p24.04+vstable+git20251216.0445

=== debian/changelog ===
plasma-sdk (4:6.5.4+p24.04+vstable+git20251216.0445-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Dec 2025 04:45:25 +0000

plasma-sdk (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:23:36 +1000

plasma-sdk (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:15:16 +1000

plasma-sdk (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:20 +1000

## plasma-sdk 6.5.4+p24.04+vunstable+git20251226.0121

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-sdk)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

## plasma-sdk 6.5.5

=== debian/changelog ===
plasma-sdk (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:08:54 +0000

plasma-sdk (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:07:37 +0000

plasma-sdk (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:20:55 +0000

plasma-sdk (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:09:31 +0000

plasma-sdk (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:14:15 +0000

plasma-sdk (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:48:32 +0000

plasma-sdk (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:39:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: plasma-sdk
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: breeze-icon-theme <!nocheck>,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               breeze-icon-theme <!nocheck>,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf6archive-dev (>= 6.18.0~),
                libkf6completion-dev (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),
-               libkf6configwidgets-dev (>= 6.5.0~),
+               libkf6configwidgets-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),
                libkf6crash-dev (>= 6.18.0~),
                libkf6dbusaddons-dev (>= 6.18.0~),
@@ -28,19 +29,19 @@
                libkf6texteditor-dev (>= 6.18.0~),
                libkf6widgetsaddons-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.4~),
-               libplasma5support-dev (>= 4:6.5.4~),
-               qt6-5compat-dev (>= 6.6.0~),
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0~),
-               qt6-declarative-private-dev,
+               libplasma-dev (>= 6.5.5~),
+               libplasma5support-dev (>= 4:6.5.5~),
+               qt6-5compat-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.9.0+dfsg~),
+               qt6-declarative-dev (>= 6.9.0+dfsg~),
                qt6-svg-dev (>= 6.9.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-sdk
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
+Rules-Requires-Root: no
 
 Package: plasma-sdk
 Architecture: any

## plasma-sdk 6.5.5+p24.04+vstable+git20260128.0307

=== debian/changelog ===
plasma-sdk (4:6.5.5+p24.04+vstable+git20260128.0307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 03:07:17 +0000

plasma-sdk (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:32:40 +1000

## plasma-sdk 6.5.5+p24.04+vstable+git20260130.1204

=== debian/changelog ===
plasma-sdk (4:6.5.5+p24.04+vstable+git20260130.1204-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:04:28 +0000

## plasma-sdk 6.5.5+p24.04+vstable+git20260202.1056

=== debian/changelog ===
plasma-sdk (4:6.5.5+p24.04+vstable+git20260202.1056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:56:56 +0000

## plasma-sdk 6.5.5+p24.04+vunstable+git20260120.1147

=== debian/changelog ===
plasma-sdk (4:6.5.5+p24.04+vunstable+git20260120.1147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 11:47:09 +0000

## plasma-sdk 6.5.5+p24.04+vunstable+git20260130.1344

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-sdk)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.6.80")
 
-set(PROJECT_DEP_VERSION "6.4.90")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
plasma-sdk (4:6.5.5+p24.04+vunstable+git20260130.1344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 13:44:05 +0000

## plasma-sdk 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-sdk)
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.1")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-sdk (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:16:29 +0000

=== debian/control ===
--- 
+++ 
@@ -11,30 +11,30 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
-               libkf6archive-dev (>= 6.18.0~),
-               libkf6completion-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6configwidgets-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6crash-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6doctools-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6iconthemes-dev (>= 6.18.0~),
-               libkf6itemmodels-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6svg-dev (>= 6.18.0~),
-               libkf6texteditor-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
-               libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.5~),
-               libplasma5support-dev (>= 4:6.5.5~),
-               qt6-5compat-dev (>= 6.9.0~),
-               qt6-base-dev (>= 6.9.0+dfsg~),
-               qt6-declarative-dev (>= 6.9.0+dfsg~),
-               qt6-svg-dev (>= 6.9.0~),
+               libkf6archive-dev (>= 6.22.0~),
+               libkf6completion-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6configwidgets-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6doctools-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6iconthemes-dev (>= 6.22.0~),
+               libkf6itemmodels-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6svg-dev (>= 6.22.0~),
+               libkf6texteditor-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
+               libkirigami-dev (>= 6.22.0~),
+               libplasma-dev (>= 6.6.1~),
+               libplasma5support-dev (>= 4:6.6.1~),
+               qt6-5compat-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.0+dfsg~),
+               qt6-declarative-dev (>= 6.10.0+dfsg~),
+               qt6-svg-dev (>= 6.10.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0

## plasma-sdk 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-sdk)
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 
-set(PROJECT_DEP_VERSION "6.6.1")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-sdk (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:24:36 +0000

=== debian/control ===
--- 
+++ 
@@ -29,8 +29,8 @@
                libkf6texteditor-dev (>= 6.22.0~),
                libkf6widgetsaddons-dev (>= 6.22.0~),
                libkirigami-dev (>= 6.22.0~),
-               libplasma-dev (>= 6.6.1~),
-               libplasma5support-dev (>= 4:6.6.1~),
+               libplasma-dev (>= 6.6.2~),
+               libplasma5support-dev (>= 4:6.6.2~),
                qt6-5compat-dev (>= 6.10.0~),
                qt6-base-dev (>= 6.10.0+dfsg~),
                qt6-declarative-dev (>= 6.10.0+dfsg~),
